RPYC_CLASSIC(1)

NAME
rpyc_classic - RPyC classic server

SYNOPSIS
rpyc_classic [options]

DESCRIPTION
RPyC (pronounced as are-pie-see), or Remote Python Call, is a transparent Python library for symmetrical remote procedure calls, clustering and distributed-computing. RPyC makes use of object-proxying, a technique that employs Python’s dynamic nature, to overcome the physical boundaries between processes and computers, so that remote objects can be manipulated as if they were local.

rpyc_classic is the server component which enables remote access to the local system. The following options are available:

--mode MODE, -m MODE
    Select mode of operation. One of threaded, forking, stdio, oneshot.

--port PORT, -p PORT
    The TCP port which the server listens to. The default is 18812 for unauthenticated instances and 18821 for SSL authenticated ones.

--host INTERFACE
    Bind to network interface INTERFACE. The default is localhost.

--ipv6
    Enable IPv6.

--logfile FILE
    Write log to FILE. If not specified, log output is written to stderr.

--quiet, -q
    Quiet mode. Only errors will be logged.

  RPyC Registry
A server instance can be registered with a running rpyc_registry(1) for automated service discovery by clients:

--registry-type TYPE
    Connect to the registry via TCP or UDP (which is the default).

--registry-port PORT
    Connect to the registry on port PORT. The default is 18811.

--registry-host HOST
    Connect to the registry at host HOST. This is a required option for TCP registries. If no host is specified for UDP, the server will attempt a broadcast via IP 255.255.255.255 to reach any listening registry in the local network.

  SSL Authenticated Mode
The server supports authentication and authorization via SSL certificates. WARNING: While this mode provides a modest amount of security, there are serious shortcomings such as a missing certificate revocation mechanism. Do not rely on this to expose vital infrastructure to the Internet.

You need to specify the following options to enable this mode:

--ssl-cafile FILE
    Read the Certificate Authority (CA) certificate from FILE. The CA is used to determine which client certificates are authorized to connect to the server; only client certificates which have been issued by the CA are accepted. WARNING: If this option is omitted, the server will allow any client to connect, which is probably not what you want.

--ssl-certfile FILE
    Read the SSL server certificate from FILE. This certificate is presented to connecting clients to let them verify that the server is genuine.

--ssl-keyfile FILE
    Read the private SSL server key for the server certificate from FILE.

SEE ALSO
rpyc_registry(1)

AUTHOR
This manual page was written for Debian by Timo Röhling and may be used without restriction.